]> arthur.barton.de Git - bup.git/blobdiff - cmd/tag-cmd.py
tvfs: accommodate python 3 and test there
[bup.git] / cmd / tag-cmd.py
index f33855ec7e293b8b98409464a6cb85edf2284e36..2fc068ddc7189eb535a31def25681480fc7cc9cb 100755 (executable)
@@ -1,10 +1,15 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 
-import sys
-import os
+from __future__ import absolute_import, print_function
+import os, sys
 
 from bup import git, options
-from bup.helpers import *
+from bup.helpers import debug1, handle_ctrl_c, log
 
 # FIXME: review for safe writes.
 
@@ -40,7 +45,7 @@ if opt.delete:
 
 if not extra:
     for t in tags:
-        print t
+        print(t)
     sys.exit(0)
 elif len(extra) < 2:
     o.fatal('no commit ref or hash given.')
@@ -59,7 +64,7 @@ if tag_name.startswith('.'):
 
 try:
     hash = git.rev_parse(commit)
-except git.GitError, e:
+except git.GitError as e:
     log("bup: error: %s" % e)
     sys.exit(2)
 
@@ -74,8 +79,8 @@ if not pL.exists(hash):
 
 tag_file = git.repo('refs/tags/%s' % tag_name)
 try:
-    tag = file(tag_file, 'w')
-except OSError, e:
+    tag = open(tag_file, 'w')
+except OSError as e:
     log("bup: error: could not create tag '%s': %s" % (tag_name, e))
     sys.exit(3)